# Class Queue

- Defined in router/common/queue.js:2

#####
Index

### Constructors

constructor

### Properties

_evictListeners
_items
_limit
onEvict

### Methods

clear
dequeue
enqueue
evict
peekHead
peekTail
remove
size

##
Constructors

### constructor

- new Queue(_items?, _limit?): Queue

- #### Parameters

  - _items: any[] = []
  - _limit: any = null

  #### Returns Queue

  - Defined in router/common/queue.js:3

##
Properties

### _evictListeners

_evictListeners: any[]

- Defined in router/common/queue.js:6

### _items

_items: any[]

- Defined in router/common/queue.js:4
- Defined in router/common/queue.js:25

### _limit

_limit: any

- Defined in router/common/queue.js:5

### onEvict

onEvict: any

- Defined in router/common/queue.js:7

##
Methods

### clear

- clear(): any[]

- #### Returns any[]

  - Defined in router/common/queue.js:23

### dequeue

- dequeue(): any

- #### Returns any

  - Defined in router/common/queue.js:20

### enqueue

- enqueue(item): any

- #### Parameters

  - item: any

  #### Returns any

  - Defined in router/common/queue.js:9

### evict

- evict(): any

- #### Returns any

  - Defined in router/common/queue.js:15

### peekHead

- peekHead(): any

- #### Returns any

  - Defined in router/common/queue.js:38

### peekTail

- peekTail(): any

- #### Returns any

  - Defined in router/common/queue.js:35

### remove

- remove(item): any

- #### Parameters

  - item: any

  #### Returns any

  - Defined in router/common/queue.js:31

### size

- size(): number

- #### Returns number

  - Defined in router/common/queue.js:28